Page MenuHomePhabricator

Find out if mention notifications are used
Closed, ResolvedPublic5 Story Points

Description

Task: Soon there will be two new opt-in features for notifications: Receiving a notification whenever you successfully sent mentions and receiving a notification whenever your mentions could not be sent due to errors. We want to find out if they are actually used.

Please

  • Track how often people enable the two options
  • Track how often people disable the option again
  • Show it both in a graph on a grafana board

Background: This task is based on a wish that received 21 points (#9) in the German Community Wishlist[1]. Originally, the wish was to receive an information about the sent messages. To help people use mentions in a way that they are sent, we have also included notifications about mention failures, which add the reasons for the failure as well.

[1] Link to wish (in German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Topw%C3%BCnsche#Bei_Speichern_Hinweis_.C3.BCber_abgegebene_Benachrichtigungen_.5BUmfrage_2015.5D
in English: https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes#Notifications_about_failed_mentions

Details

Related Gerrit Patches:
analytics/wmde/scripts : productionAdd echo statusNotifications script to 03 daily cron
analytics/wmde/scripts : masterAdd echo statusNotifications script to 03 daily cron
analytics/wmde/scripts : production+Script to track echo mention status usage
analytics/wmde/scripts : master+Script to track echo mention status usage

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 20 2016, 6:44 PM

For point 1 we will need a script to check record the number of users with the user preferences enabled.
For point 2 we will need a similar script with a days historic record of who had the mention preferences enabled that can then be cross checked with the state 24 hours later.

This is vaguely similar to the recent beta features tracking.

Addshore added a project: User-Addshore.
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.Jul 25 2016, 5:43 PM
Addshore claimed this task.Jul 31 2016, 5:49 PM
Addshore moved this task from Proposed to Doing on the TCB-Team-Sprint-2016-07-14 board.
Addshore moved this task from Next to Back Burner 🏛️ on the User-Addshore board.
Addshore moved this task from ToDo to Doing on the WMDE-Analytics-Engineering board.

Change 302125 had a related patch set uploaded (by Addshore):
Script to track echo mention status usage

https://gerrit.wikimedia.org/r/302125

Change 302126 had a related patch set uploaded (by Addshore):
Add echo statusNotifications script to 03 daily cron

https://gerrit.wikimedia.org/r/302126

Change 302127 had a related patch set uploaded (by Addshore):
Script to track echo mention status usage

https://gerrit.wikimedia.org/r/302127

Change 302128 had a related patch set uploaded (by Addshore):
Add echo statusNotifications script to 03 daily cron

https://gerrit.wikimedia.org/r/302128

Addshore set the point value for this task to 5.
Addshore moved this task from Doing to Done on the TCB-Team-Sprint-2016-07-14 board.

Moved to done on the taskboard as the task is done for this sprint (although nothing is yet merged or running (as the features are not deployed)

Change 302125 merged by jenkins-bot:
Script to track echo mention status usage

https://gerrit.wikimedia.org/r/302125

Change 302127 merged by jenkins-bot:
Script to track echo mention status usage

https://gerrit.wikimedia.org/r/302127

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 2 2016, 9:43 AM

Final patches should be merged once the feature is enabled on a production wiki

Change 302126 merged by jenkins-bot:
Add echo statusNotifications script to 03 daily cron

https://gerrit.wikimedia.org/r/302126

Change 302128 merged by jenkins-bot:
Add echo statusNotifications script to 03 daily cron

https://gerrit.wikimedia.org/r/302128

Just pending a dashboard in the coming days now!

Addshore moved this task from Closing ✔️ to Next on the User-Addshore board.Aug 19 2016, 8:52 AM

@Addshore would it be possible to have a seperate graph that shows the same for test?

Addshore added a comment.EditedAug 19 2016, 10:06 AM

@Addshore would it be possible to have a seperate graph that shows the same for test?

Hmm, in theory it would be possible, however the graph currently on that dashboard shows the global users, ie, if they enable it on multiple sites it is only counted once)
I could remove the test sites from this number? (And I could do the same for the revslider data)?

Addshore added a subscriber: Lea_Lacroix_WMDE.EditedSep 5 2016, 7:14 AM

@Lea_WMDE it would be great to get your opinion on the above comment! :)
Either we keep it as it is or I split out the test sites for these metrics and the revisionslider ones etc.! :)

Addshore closed this task as Resolved.Sep 9 2016, 10:13 AM